Social Fetch
Rumble

List Rumble channel videos

List videos and Shorts from a Rumble channel.

GET/v1/rumble/channels/videos
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
2
url*stringquery

Link to the Rumble channel.

min 1 chars · max 4096 chars

cursorstringoptionalquery

Page number from a previous response.

min 1 chars

Response fields
49

Endpoint-specific response payload.

datalookupStatus
string

Whether the channel was resolved for this request.

one of: found, not_found

Resolved channel metadata when available.

datachannelname
stringnullable

Channel display name when available.

datachannelhandle
stringnullable

Channel handle when available.

datachannelurl
stringnullable

Canonical public channel URL when available.

Videos returned for the resolved channel. This array may be empty when the channel resolves but there are no videos in the returned page.

datavideos[]id
string

Rumble content identifier.

min 1 chars

datavideos[]kind
string

Normalized media kind for this row.

one of: video, short, live

datavideos[]url
stringnullable

Canonical public URL for this item when available.

datavideos[]title
stringnullable

Title shown for this item.

datavideos[]thumbnailUrl
stringnullable

Thumbnail image URL when available.

Channel metadata when available.

datavideos[]channelname
stringnullable

Channel display name when available.

datavideos[]channelhandle
stringnullable

Channel handle when available.

datavideos[]channelurl
stringnullable

Canonical public channel URL when available.

datavideos[]viewCount
integernullable

View count when available.

≥ 0

datavideos[]viewCountText
stringnullable

Human-readable view count label when available.

datavideos[]publishedAt
stringnullable

ISO-8601 publish timestamp when available.

datavideos[]publishedTimeText
stringnullable

Human-readable relative publish time when available.

datavideos[]durationSeconds
integernullable

Duration in seconds when available.

≥ 0

datavideos[]durationText
stringnullable

Human-readable duration label when available.

Display badges when present.

datavideos[]badges[]
stringoptional

Shorts returned for the resolved channel. This array may be empty when the channel resolves but there are no Shorts in the returned page.

datashorts[]id
string

Rumble content identifier.

min 1 chars

datashorts[]kind
string

Normalized media kind for this row.

one of: video, short, live

datashorts[]url
stringnullable

Canonical public URL for this item when available.

datashorts[]title
stringnullable

Title shown for this item.

datashorts[]thumbnailUrl
stringnullable

Thumbnail image URL when available.

Channel metadata when available.

datashorts[]channelname
stringnullable

Channel display name when available.

datashorts[]channelhandle
stringnullable

Channel handle when available.

datashorts[]channelurl
stringnullable

Canonical public channel URL when available.

datashorts[]viewCount
integernullable

View count when available.

≥ 0

datashorts[]viewCountText
stringnullable

Human-readable view count label when available.

datashorts[]publishedAt
stringnullable

ISO-8601 publish timestamp when available.

datashorts[]publishedTimeText
stringnullable

Human-readable relative publish time when available.

datashorts[]durationSeconds
integernullable

Duration in seconds when available.

≥ 0

datashorts[]durationText
stringnullable

Human-readable duration label when available.

Display badges when present.

datashorts[]badges[]
stringoptional

Pagination information for the current response.

datapagenextCursor
stringnullable

Next page number when more results are available.

datapagehasMore
boolean

Whether another page of results is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/rumble/channels/videos?url=https://rumble.com/c/StevenCrowder" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Videos and Shorts for the requested channel. Check `data.lookupStatus` for `found` vs `not_found`.

On this page

No Headings